#Region-Splash-And-Icon---------------------------------------------------------
#AutoIt3Wrapper_Icon=C:\Documents and Settings\Milo\Desktop\data, assorted\autoit scripts\Double Click icon and logo\doubleclick.ico
#AutoIt3Wrapper_Res_LegalCopyright=Copyright 2009 by Milo Christiansen
#AutoIt3Wrapper_Res_Description=A GUI for running mods in warzone 2100
#AutoIt3Wrapper_Res_Comment=
#AutoIt3Wrapper_Res_Fileversion=2.1
#AutoIt3Wrapper_Res_Field=Company|Double Click Technologies
SplashImageOn("", @ScriptDir & "\Splash.gif", 400, 300, -1, -1, 1)
Sleep(2000)
SplashOff()
#EndRegion-Splash-And-Icon------------------------------------------------------
;Header-Start-------------------------------------------------------------------
;
; AutoIt Version: 3.3.0.0
; Author:         Milo Christiansen
;
; Script Function:
;	Switches mods in warzone 2100 by way of the command line and an ini file
;
;Header-End---------------------------------------------------------------------

;Includes-Start-----------------------------------------------------------------

#include <MSG.au3> ;my custom msgbox library
#include <GUIConstantsEx.au3>
#include <WindowsConstants.au3>
#include <GuiComboBox.au3>
#include <WinAPI.au3>
#include <File.au3>

;Includes-End-------------------------------------------------------------------

;Options-Start------------------------------------------------------------------

Opt("MustDeclareVars", 1)

;Options-End--------------------------------------------------------------------

;General-Declerations-Start-----------------------------------------------------

;variables for use in msg loop
Dim $msgGUI

;Control Handles
Dim $hOnOff1
Dim $hMod1
Dim $hMP1
Dim $hSP1
Dim $hGlobal1
Dim $hSaveYN1

Dim $hOnOff2
Dim $hMod2
Dim $hMP2
Dim $hSP2
Dim $hGlobal2
Dim $hSaveYN2

Dim $hOnOff3
Dim $hMod3
Dim $hMP3
Dim $hSP3
Dim $hGlobal3
Dim $hSaveYN3

Dim $hOnOff4
Dim $hMod4
Dim $hMP4
Dim $hSP4
Dim $hGlobal4
Dim $hSaveYN4

Dim $hOnOff5
Dim $hMod5
Dim $hMP5
Dim $hSP5
Dim $hGlobal5
Dim $hSaveYN5

Dim $hSaveSettings
Dim $hRun
Dim $hCommand
Dim $hSaveCommandYN

Dim $hChooseSetting
Dim $hCreateSetting
Dim $hDeleteSetting

;Other
Dim $GameDirPath
Dim $GameExePath

Dim $SetupYN

Dim $CurrentSetting

;General-Declerations-End-------------------------------------------------------

;CMD-Line-Handler-Start---------------------------------------------------------

If $CmdLineRaw <> "" Then
	If FileExists(StringTrimRight(StringTrimLeft($CmdLineRaw, 1), 1)) Then
		$CurrentSetting = StringTrimRight(StringTrimLeft($CmdLineRaw, 1), 1)
	EndIf
EndIf

;CMD-Line-Handler-End-----------------------------------------------------------

;Input-Start--------------------------------------------------------------------

$SetupYN = IniRead(@ScriptDir & "\Config.ini", "General", "SetupYN", "ERROR")

If $SetupYN = "Y" Or FileExists(@ScriptDir & "\Config.ini") = 0 Then
	_SETUP()
	_EXIT()
EndIf

$GameDirPath = IniRead(@ScriptDir & "\Config.ini", "General", "GameDirPath", "ERROR")
$GameExePath = IniRead(@ScriptDir & "\Config.ini", "General", "GameExePath", "ERROR")

If $GameExePath = "ERROR" Or $GameDirPath = "ERROR" Then
	MsgBox(16, "Warzone 2100 Mod Manager", "ERROR in the Current Config File")
	_EXIT()
EndIf

;Input-End----------------------------------------------------------------------

;Main-Script-Start--------------------------------------------------------------

;GUI
GUICreate("Warzone 2100 Mod Manager", 611, 270, -1, -1, -1)

GUIStartGroup()
$hOnOff1 = GUICtrlCreateCheckbox("Use Mod", 2, 5, 67, 15)
$hMod1 = GUICtrlCreateCombo("", 74, 2, 200, 95)
$hMP1 = GUICtrlCreateRadio("MP", 276, 5, 35, 15, $WS_TABSTOP)
$hSP1 = GUICtrlCreateRadio("Campaign", 323, 5, 67, 15, $WS_TABSTOP)
$hGlobal1 = GUICtrlCreateRadio("Global", 397, 5, 50, 15, $WS_TABSTOP)
$hSaveYN1 = GUICtrlCreateCheckbox("Save Setting For Next Run?", 455, 5, 152, 15)

GUIStartGroup()
$hOnOff2 = GUICtrlCreateCheckbox("Use Mod", 2, 35, 67, 15)
$hMod2 = GUICtrlCreateCombo("", 74, 30, 200, 95)
$hMP2 = GUICtrlCreateRadio("MP", 276, 35, 35, 15, $WS_TABSTOP)
$hSP2 = GUICtrlCreateRadio("Campaign", 323, 35, 67, 15, $WS_TABSTOP)
$hGlobal2 = GUICtrlCreateRadio("Global", 397, 35, 50, 15, $WS_TABSTOP)
$hSaveYN2 = GUICtrlCreateCheckbox("Save Setting For Next Run?", 455, 35, 152, 15)

GUIStartGroup()
$hOnOff3 = GUICtrlCreateCheckbox("Use Mod", 2, 65, 67, 15)
$hMod3 = GUICtrlCreateCombo("", 74, 60, 200, 95)
$hMP3 = GUICtrlCreateRadio("MP", 276, 65, 35, 15, $WS_TABSTOP)
$hSP3 = GUICtrlCreateRadio("Campaign", 323, 65, 67, 15, $WS_TABSTOP)
$hGlobal3 = GUICtrlCreateRadio("Global", 397, 65, 50, 15, $WS_TABSTOP)
$hSaveYN3 = GUICtrlCreateCheckbox("Save Setting For Next Run?", 455, 65, 152, 15)

GUIStartGroup()
$hOnOff4 = GUICtrlCreateCheckbox("Use Mod", 2, 95, 67, 15)
$hMod4 = GUICtrlCreateCombo("", 74, 90, 200, 95)
$hMP4 = GUICtrlCreateRadio("MP", 276, 95, 35, 15, $WS_TABSTOP)
$hSP4 = GUICtrlCreateRadio("Campaign", 323, 95, 67, 15, $WS_TABSTOP)
$hGlobal4 = GUICtrlCreateRadio("Global", 397, 95, 50, 15, $WS_TABSTOP)
$hSaveYN4 = GUICtrlCreateCheckbox("Save Setting For Next Run?", 455, 95, 152, 15)

GUIStartGroup()
$hOnOff5 = GUICtrlCreateCheckbox("Use Mod", 2, 125, 67, 15)
$hMod5 = GUICtrlCreateCombo("", 74, 120, 200, 95)
$hMP5 = GUICtrlCreateRadio("MP", 276, 125, 35, 15, $WS_TABSTOP)
$hSP5 = GUICtrlCreateRadio("Campaign", 323, 125, 67, 15, $WS_TABSTOP)
$hGlobal5 = GUICtrlCreateRadio("Global", 397, 125, 50, 15, $WS_TABSTOP)
$hSaveYN5 = GUICtrlCreateCheckbox("Save Setting For Next Run?", 455, 125, 152, 15)

GUICtrlCreateLabel("Other Command Line Options (See Warzone Readme for List)", 2, 147, 160, 26)
$hCommand = GUICtrlCreateInput("", 162, 149, 285, 20)
$hSaveCommandYN = GUICtrlCreateCheckbox("Save Setting For Next Run?", 455, 150, 152, 15)

GUICtrlCreateLabel("Choose Setting File to use", 32, 182, 125, 20)
$hChooseSetting = GUICtrlCreateCombo("", 162, 180, 285, 95)
$hCreateSetting = GUICtrlCreateButton("Create New Setting File", 50, 210, 255, 20)
$hDeleteSetting = GUICtrlCreateButton("Delete Setting File", 310, 210, 255, 20)

$hRun = GUICtrlCreateButton("Run Warzone 2100!", 50, 235, 255, 30)
$hSaveSettings = GUICtrlCreateButton("Save Settings", 310, 235, 255, 30)

GUICtrlSetState($hSaveCommandYN, $GUI_CHECKED)

If GUICtrlRead($hOnOff1) = $GUI_UNCHECKED Then GUICtrlSetState($hMod1, $GUI_DISABLE)
If GUICtrlRead($hOnOff2) = $GUI_UNCHECKED Then GUICtrlSetState($hMod2, $GUI_DISABLE)
If GUICtrlRead($hOnOff3) = $GUI_UNCHECKED Then GUICtrlSetState($hMod3, $GUI_DISABLE)
If GUICtrlRead($hOnOff4) = $GUI_UNCHECKED Then GUICtrlSetState($hMod4, $GUI_DISABLE)
If GUICtrlRead($hOnOff5) = $GUI_UNCHECKED Then GUICtrlSetState($hMod5, $GUI_DISABLE)

GUISetState()

_REFRESH_COMBO_BOXES()

_LOAD_SETTINGS()

;MSG loop

While 1

	$msgGUI = GUIGetMsg()

	Select

		Case $msgGUI = $GUI_EVENT_CLOSE
			_EXIT()
		Case $msgGUI = $hRun
			_RUN()
		Case $msgGUI = $hOnOff1
			_ToggleMod1()
		Case $msgGUI = $hOnOff2
			_ToggleMod2()
		Case $msgGUI = $hOnOff3
			_ToggleMod3()
		Case $msgGUI = $hOnOff4
			_ToggleMod4()
		Case $msgGUI = $hOnOff5
			_ToggleMod5()
		Case $msgGUI = $hSaveSettings
			_SAVE_SETTINGS()
			MsgBox(0,"Warzone 2100 Mod Manager","Setting Saved to Selected File")
		Case $msgGUI = $hChooseSetting
			$CurrentSetting = (@ScriptDir & "\Setting Files\" & GUICtrlRead($hChooseSetting))
			_LOAD_SETTINGS()
		Case $msgGUI = $hCreateSetting
			_CREATE_SETTING()
		Case $msgGUI = $hDeleteSetting
			_DELETE_SETTING()
	EndSelect

WEnd

;Main-Script-End----------------------------------------------------------------

;Function-Decleration-Start-----------------------------------------------------

Func _EXIT()

	Exit

EndFunc   ;==>_EXIT

Func _RUN()

	Local $Mod1
	Local $Mod2
	Local $Mod3
	Local $Mod4
	Local $Mod5

	If GUICtrlRead($hOnOff1) = $GUI_CHECKED Then
		If GUICtrlRead($hMod1) <> "" Then
			If GUICtrlRead($hSP1) <> $GUI_CHECKED And GUICtrlRead($hMP1) <> $GUI_CHECKED And GUICtrlRead($hGlobal1) <> $GUI_CHECKED Then
				MsgBox(48, "Warzone 2100 Mod Manager", "Please make sure that all selected mods are set to Multi-Player, Campaign, or Global")
				Return
			EndIf

			Select
				Case GUICtrlRead($hSP1) = $GUI_CHECKED
					$Mod1 = ' --mod_ca "' & GUICtrlRead($hMod1) & '"'
				Case GUICtrlRead($hMP1) = $GUI_CHECKED
					$Mod1 = ' --mod_mp "' & GUICtrlRead($hMod1) & '"'
				Case GUICtrlRead($hGlobal1) = $GUI_CHECKED
					$Mod1 = ' --mod "' & GUICtrlRead($hMod1) & '"'
			EndSelect
		EndIf
	EndIf

	If GUICtrlRead($hOnOff2) = $GUI_CHECKED Then
		If GUICtrlRead($hMod2) <> "" Then
			If GUICtrlRead($hSP2) <> $GUI_CHECKED And GUICtrlRead($hMP2) <> $GUI_CHECKED And GUICtrlRead($hGlobal2) <> $GUI_CHECKED Then
				MsgBox(48, "Warzone 2100 Mod Manager", "Please make sure that all selected mods are set to Multi-Player, Campaign, or Global")
				Return
			EndIf

			Select
				Case GUICtrlRead($hSP2) = $GUI_CHECKED
					$Mod2 = ' --mod_ca "' & GUICtrlRead($hMod2) & '"'
				Case GUICtrlRead($hMP2) = $GUI_CHECKED
					$Mod2 = ' --mod_mp "' & GUICtrlRead($hMod2) & '"'
				Case GUICtrlRead($hGlobal2) = $GUI_CHECKED
					$Mod2 = ' --mod "' & GUICtrlRead($hMod2) & '"'
			EndSelect
		EndIf
	EndIf

	If GUICtrlRead($hOnOff3) = $GUI_CHECKED Then
		If GUICtrlRead($hMod3) <> "" Then
			If GUICtrlRead($hSP3) <> $GUI_CHECKED And GUICtrlRead($hMP3) <> $GUI_CHECKED And GUICtrlRead($hGlobal3) <> $GUI_CHECKED Then
				MsgBox(48, "Warzone 2100 Mod Manager", "Please make sure that all selected mods are set to Multi-Player, Campaign, or Global")
				Return
			EndIf

			Select
				Case GUICtrlRead($hSP3) = $GUI_CHECKED
					$Mod3 = ' --mod_ca "' & GUICtrlRead($hMod3) & '"'
				Case GUICtrlRead($hMP3) = $GUI_CHECKED
					$Mod3 = ' --mod_mp "' & GUICtrlRead($hMod3) & '"'
				Case GUICtrlRead($hGlobal3) = $GUI_CHECKED
					$Mod3 = ' --mod "' & GUICtrlRead($hMod3) & '"'
			EndSelect
		EndIf
	EndIf

	If GUICtrlRead($hOnOff4) = $GUI_CHECKED Then
		If GUICtrlRead($hMod4) <> "" Then
			If GUICtrlRead($hSP4) <> $GUI_CHECKED And GUICtrlRead($hMP4) <> $GUI_CHECKED And GUICtrlRead($hGlobal4) <> $GUI_CHECKED Then
				MsgBox(48, "Warzone 2100 Mod Manager", "Please make sure that all selected mods are set to Multi-Player, Campaign, or Global")
				Return
			EndIf

			Select
				Case GUICtrlRead($hSP4) = $GUI_CHECKED
					$Mod4 = ' --mod_ca "' & GUICtrlRead($hMod4) & '"'
				Case GUICtrlRead($hMP4) = $GUI_CHECKED
					$Mod4 = ' --mod_mp "' & GUICtrlRead($hMod4) & '"'
				Case GUICtrlRead($hGlobal4) = $GUI_CHECKED
					$Mod4 = ' --mod "' & GUICtrlRead($hMod4) & '"'
			EndSelect
		EndIf
	EndIf

	If GUICtrlRead($hOnOff5) = $GUI_CHECKED Then
		If GUICtrlRead($hMod5) <> "" Then
			If GUICtrlRead($hSP5) <> $GUI_CHECKED And GUICtrlRead($hMP5) <> $GUI_CHECKED And GUICtrlRead($hGlobal5) <> $GUI_CHECKED Then
				MsgBox(48, "Warzone 2100 Mod Manager", "Please make sure that all selected mods are set to Multi-Player, Campaign, or Global")
				Return
			EndIf

			Select
				Case GUICtrlRead($hSP5) = $GUI_CHECKED
					$Mod5 = ' --mod_ca "' & GUICtrlRead($hMod5) & '"'
				Case GUICtrlRead($hMP5) = $GUI_CHECKED
					$Mod5 = ' --mod_mp "' & GUICtrlRead($hMod5) & '"'
				Case GUICtrlRead($hGlobal5) = $GUI_CHECKED
					$Mod5 = ' --mod "' & GUICtrlRead($hMod5) & '"'
			EndSelect
		EndIf
	EndIf

	_SAVE_SETTINGS()

	;Run Warzone
	ShellExecute($GameExePath, $Mod1 & $Mod2 & $Mod3 & $Mod4 & $Mod5 & " " & StringStripWS(GUICtrlRead($hCommand), 7))

	_EXIT()

EndFunc   ;==>_RUN

Func _ToggleMod1()

	If GUICtrlRead($hOnOff1) = $GUI_UNCHECKED Then
		GUICtrlSetState($hMod1, $GUI_DISABLE)
	Else
		GUICtrlSetState($hMod1, $GUI_ENABLE)
	EndIf

EndFunc   ;==>_ToggleMod1

Func _ToggleMod2()

	If GUICtrlRead($hOnOff2) = $GUI_UNCHECKED Then
		GUICtrlSetState($hMod2, $GUI_DISABLE)
	Else
		GUICtrlSetState($hMod2, $GUI_ENABLE)
	EndIf

EndFunc   ;==>_ToggleMod2

Func _ToggleMod3()

	If GUICtrlRead($hOnOff3) = $GUI_UNCHECKED Then
		GUICtrlSetState($hMod3, $GUI_DISABLE)
	Else
		GUICtrlSetState($hMod3, $GUI_ENABLE)
	EndIf

EndFunc   ;==>_ToggleMod3

Func _ToggleMod4()

	If GUICtrlRead($hOnOff4) = $GUI_UNCHECKED Then
		GUICtrlSetState($hMod4, $GUI_DISABLE)
	Else
		GUICtrlSetState($hMod4, $GUI_ENABLE)
	EndIf

EndFunc   ;==>_ToggleMod4

Func _ToggleMod5()

	If GUICtrlRead($hOnOff5) = $GUI_UNCHECKED Then
		GUICtrlSetState($hMod5, $GUI_DISABLE)
	Else
		GUICtrlSetState($hMod5, $GUI_ENABLE)
	EndIf

EndFunc   ;==>_ToggleMod5

Func _SETUP()

	Local $Default
	Local $Custom
	Local $cdcRtn


	;GUI
	GUICreate("Warzone 2100 Mod Manager Setup", 550, 68, -1, -1)

	$Default = GUICtrlCreateButton("Click Here If You Have Installed ""Warzone2100.exe"" to ""%Program Files%\Warzone 2100"". (Default for 2.2.1)", 2, 2, 546, 30)
	$Custom = GUICtrlCreateButton("Click Here If Your .exe is NOT named ""Warzone2100.exe"" or is installed to a different path.", 2, 34, 546, 30)

	GUISetState()

	;MSG loop

	While 1

		$msgGUI = GUIGetMsg()

		Select

			Case $msgGUI = $GUI_EVENT_CLOSE
				_EXIT()
			Case $msgGUI = $Default
				DirCreate(@ScriptDir & "\Setting Files")
				IniWrite(@ScriptDir & "\Config.ini", "General", "GameExePath", @ProgramFilesDir & "\Warzone 2100\warzone2100.exe")
				IniWrite(@ScriptDir & "\Config.ini", "General", "GameDirPath", @ProgramFilesDir & "\Warzone 2100")
				IniWrite(@ScriptDir & "\Config.ini", "General", "SetupYN", "N")
				Return

			Case $msgGUI = $Custom

				$cdcRtn = _WinAPI_GetOpenFileName("Warzone 2100 Mod Manager Setup", "EXE Files (*.exe)", @ProgramFilesDir)
				DirCreate(@ScriptDir & "\Setting Files")
				IniWrite(@ScriptDir & "\Config.ini", "General", "GameExePath", $cdcRtn[1] & "\" & $cdcRtn[2])
				IniWrite(@ScriptDir & "\Config.ini", "General", "GameDirPath", $cdcRtn[1])
				IniWrite(@ScriptDir & "\Config.ini", "General", "SetupYN", "N")
				Return

		EndSelect

	WEnd

EndFunc   ;==>_SETUP

Func _LOAD_SETTINGS()

	Local $ModFile1
	Local $ModScope1
	Local $ModFile2
	Local $ModScope2
	Local $ModFile3
	Local $ModScope3
	Local $ModFile4
	Local $ModScope4
	Local $ModFile5
	Local $ModScope5

	GUICtrlSetData($hCommand, IniRead($CurrentSetting, "General", "OtherCommands", ""))

	$ModFile1 = IniRead($CurrentSetting, "Setting1", "ModFile", "ERROR")
	$ModScope1 = IniRead($CurrentSetting, "Setting1", "ModScope", "ERROR")

	If $ModFile1 <> "ERROR" And $ModFile1 <> "" Then
		_GUICtrlComboBox_BeginUpdate($hMod1)
		_GUICtrlComboBox_SelectString($hMod1, IniRead($CurrentSetting, "Setting1", "ModFile", "ERROR"))
		_GUICtrlComboBox_EndUpdate($hMod1)
		GUICtrlSetState($hOnOff1, $GUI_CHECKED)
		GUICtrlSetState($hMod1, $GUI_ENABLE)
		GUICtrlSetState($hSaveYN1, $GUI_CHECKED)
		Switch $ModScope1
			Case "SP"
				GUICtrlSetState($hSP1, $GUI_CHECKED)
			Case "MP"
				GUICtrlSetState($hMP1, $GUI_CHECKED)
			Case "GLOBAL"
				GUICtrlSetState($hGlobal1, $GUI_CHECKED)
		EndSwitch
	Else
		GUICtrlSetState($hOnOff1, $GUI_UNCHECKED)
		GUICtrlSetState($hMod1, $GUI_DISABLE)
		GUICtrlSetState($hSaveYN1, $GUI_UNCHECKED)
	EndIf

	$ModFile2 = IniRead($CurrentSetting, "Setting2", "ModFile", "ERROR")
	$ModScope2 = IniRead($CurrentSetting, "Setting2", "ModScope", "ERROR")

	If $ModFile2 <> "ERROR" And $ModFile2 <> "" Then
		_GUICtrlComboBox_BeginUpdate($hMod2)
		_GUICtrlComboBox_SelectString($hMod2, IniRead($CurrentSetting, "Setting2", "ModFile", "ERROR"))
		_GUICtrlComboBox_EndUpdate($hMod2)
		GUICtrlSetState($hOnOff2, $GUI_CHECKED)
		GUICtrlSetState($hMod2, $GUI_ENABLE)
		GUICtrlSetState($hSaveYN2, $GUI_CHECKED)
		Switch $ModScope2
			Case "SP"
				GUICtrlSetState($hSP2, $GUI_CHECKED)
			Case "MP"
				GUICtrlSetState($hMP2, $GUI_CHECKED)
			Case "GLOBAL"
				GUICtrlSetState($hGlobal2, $GUI_CHECKED)
		EndSwitch
	Else
		GUICtrlSetState($hOnOff2, $GUI_UNCHECKED)
		GUICtrlSetState($hMod2, $GUI_DISABLE)
		GUICtrlSetState($hSaveYN2, $GUI_UNCHECKED)
	EndIf

	$ModFile3 = IniRead($CurrentSetting, "Setting3", "ModFile", "ERROR")
	$ModScope3 = IniRead($CurrentSetting, "Setting3", "ModScope", "ERROR")

	If $ModFile3 <> "ERROR" And $ModFile3 <> "" Then
		_GUICtrlComboBox_BeginUpdate($hMod3)
		_GUICtrlComboBox_SelectString($hMod3, IniRead($CurrentSetting, "Setting3", "ModFile", "ERROR"))
		_GUICtrlComboBox_EndUpdate($hMod3)
		GUICtrlSetState($hOnOff3, $GUI_CHECKED)
		GUICtrlSetState($hMod3, $GUI_ENABLE)
		GUICtrlSetState($hSaveYN3, $GUI_CHECKED)
		Switch $ModScope3
			Case "SP"
				GUICtrlSetState($hSP3, $GUI_CHECKED)
			Case "MP"
				GUICtrlSetState($hMP3, $GUI_CHECKED)
			Case "GLOBAL"
				GUICtrlSetState($hGlobal3, $GUI_CHECKED)
		EndSwitch
	Else
		GUICtrlSetState($hOnOff3, $GUI_UNCHECKED)
		GUICtrlSetState($hMod3, $GUI_DISABLE)
		GUICtrlSetState($hSaveYN3, $GUI_UNCHECKED)
	EndIf

	$ModFile4 = IniRead($CurrentSetting, "Setting4", "ModFile", "ERROR")
	$ModScope4 = IniRead($CurrentSetting, "Setting4", "ModScope", "ERROR")

	If $ModFile4 <> "ERROR" And $ModFile4 <> "" Then
		_GUICtrlComboBox_BeginUpdate($hMod4)
		_GUICtrlComboBox_SelectString($hMod4, IniRead($CurrentSetting, "Setting4", "ModFile", "ERROR"))
		_GUICtrlComboBox_EndUpdate($hMod4)
		GUICtrlSetState($hOnOff4, $GUI_CHECKED)
		GUICtrlSetState($hMod4, $GUI_ENABLE)
		GUICtrlSetState($hSaveYN4, $GUI_CHECKED)
		Switch $ModScope4
			Case "SP"
				GUICtrlSetState($hSP4, $GUI_CHECKED)
			Case "MP"
				GUICtrlSetState($hMP4, $GUI_CHECKED)
			Case "GLOBAL"
				GUICtrlSetState($hGlobal4, $GUI_CHECKED)
		EndSwitch
	Else
		GUICtrlSetState($hOnOff4, $GUI_UNCHECKED)
		GUICtrlSetState($hMod4, $GUI_DISABLE)
		GUICtrlSetState($hSaveYN4, $GUI_UNCHECKED)
	EndIf

	$ModFile5 = IniRead($CurrentSetting, "Setting5", "ModFile", "ERROR")
	$ModScope5 = IniRead($CurrentSetting, "Setting5", "ModScope", "ERROR")

	If $ModFile5 <> "ERROR" And $ModFile5 <> "" Then
		_GUICtrlComboBox_BeginUpdate($hMod5)
		_GUICtrlComboBox_SelectString($hMod5, IniRead($CurrentSetting, "Setting5", "ModFile", "ERROR"))
		_GUICtrlComboBox_EndUpdate($hMod5)
		GUICtrlSetState($hOnOff5, $GUI_CHECKED)
		GUICtrlSetState($hMod5, $GUI_ENABLE)
		GUICtrlSetState($hSaveYN5, $GUI_CHECKED)
		Switch $ModScope5
			Case "SP"
				GUICtrlSetState($hSP5, $GUI_CHECKED)
			Case "MP"
				GUICtrlSetState($hMP5, $GUI_CHECKED)
			Case "GLOBAL"
				GUICtrlSetState($hGlobal5, $GUI_CHECKED)
		EndSwitch
	Else
		GUICtrlSetState($hOnOff5, $GUI_UNCHECKED)
		GUICtrlSetState($hMod5, $GUI_DISABLE)
		GUICtrlSetState($hSaveYN5, $GUI_UNCHECKED)
	EndIf

EndFunc   ;==>_LOAD_SETTINGS

Func _SAVE_SETTINGS()

	If GUICtrlRead($hSaveYN1) = $GUI_CHECKED Then
		IniWrite($CurrentSetting, "Setting1", "ModFile", GUICtrlRead($hMod1))
	Else
		IniWrite($CurrentSetting, "Setting1", "ModFile", "")
	EndIf

	If GUICtrlRead($hSaveYN2) = $GUI_CHECKED Then
		IniWrite($CurrentSetting, "Setting2", "ModFile", GUICtrlRead($hMod2))
	Else
		IniWrite($CurrentSetting, "Setting2", "ModFile", "")
	EndIf

	If GUICtrlRead($hSaveYN3) = $GUI_CHECKED Then
		IniWrite($CurrentSetting, "Setting3", "ModFile", GUICtrlRead($hMod3))
	Else
		IniWrite($CurrentSetting, "Setting3", "ModFile", "")
	EndIf

	If GUICtrlRead($hSaveYN4) = $GUI_CHECKED Then
		IniWrite($CurrentSetting, "Setting4", "ModFile", GUICtrlRead($hMod4))
	Else
		IniWrite($CurrentSetting, "Setting4", "ModFile", "")
	EndIf

	If GUICtrlRead($hSaveYN5) = $GUI_CHECKED Then
		IniWrite($CurrentSetting, "Setting5", "ModFile", GUICtrlRead($hMod5))
	Else
		IniWrite($CurrentSetting, "Setting5", "ModFile", "")
	EndIf

	If GUICtrlRead($hSaveCommandYN) = $GUI_CHECKED Then
		IniWrite($CurrentSetting, "General", "OtherCommands", GUICtrlRead($hCommand))
	Else
		IniWrite($CurrentSetting, "General", "OtherCommands", "")
	EndIf

	Select
		Case GUICtrlRead($hSP1) = $GUI_CHECKED
			IniWrite($CurrentSetting, "Setting1", "ModScope", "SP")
		Case GUICtrlRead($hMP1) = $GUI_CHECKED
			IniWrite($CurrentSetting, "Setting1", "ModScope", "MP")
		Case GUICtrlRead($hGlobal1) = $GUI_CHECKED
			IniWrite($CurrentSetting, "Setting1", "ModScope", "Global")
		Case Else
			IniWrite($CurrentSetting, "Setting1", "ModScope", "")
	EndSelect

	Select
		Case GUICtrlRead($hSP2) = $GUI_CHECKED
			IniWrite($CurrentSetting, "Setting2", "ModScope", "SP")
		Case GUICtrlRead($hMP2) = $GUI_CHECKED
			IniWrite($CurrentSetting, "Setting2", "ModScope", "MP")
		Case GUICtrlRead($hGlobal2) = $GUI_CHECKED
			IniWrite($CurrentSetting, "Setting2", "ModScope", "Global")
		Case Else
			IniWrite($CurrentSetting, "Setting2", "ModScope", "")
	EndSelect

	Select
		Case GUICtrlRead($hSP3) = $GUI_CHECKED
			IniWrite($CurrentSetting, "Setting3", "ModScope", "SP")
		Case GUICtrlRead($hMP3) = $GUI_CHECKED
			IniWrite($CurrentSetting, "Setting3", "ModScope", "MP")
		Case GUICtrlRead($hGlobal3) = $GUI_CHECKED
			IniWrite($CurrentSetting, "Setting3", "ModScope", "Global")
		Case Else
			IniWrite($CurrentSetting, "Setting3", "ModScope", "")
	EndSelect

	Select
		Case GUICtrlRead($hSP4) = $GUI_CHECKED
			IniWrite($CurrentSetting, "Setting4", "ModScope", "SP")
		Case GUICtrlRead($hMP4) = $GUI_CHECKED
			IniWrite($CurrentSetting, "Setting4", "ModScope", "MP")
		Case GUICtrlRead($hGlobal4) = $GUI_CHECKED
			IniWrite($CurrentSetting, "Setting4", "ModScope", "Global")
		Case Else
			IniWrite($CurrentSetting, "Setting4", "ModScope", "")
	EndSelect

	Select
		Case GUICtrlRead($hSP5) = $GUI_CHECKED
			IniWrite($CurrentSetting, "Setting5", "ModScope", "SP")
		Case GUICtrlRead($hMP5) = $GUI_CHECKED
			IniWrite($CurrentSetting, "Setting5", "ModScope", "MP")
		Case GUICtrlRead($hGlobal5) = $GUI_CHECKED
			IniWrite($CurrentSetting, "Setting5", "ModScope", "Global")
		Case Else
			IniWrite($CurrentSetting, "Setting5", "ModScope", "")
	EndSelect

EndFunc   ;==>_SAVE_SETTINGS

Func _CREATE_SETTING()

	Local $RTN

	$RTN = InputBox("Create Setting", "Enter name for new setting file.", "", " M", 300, 80)

	If @error <> 1 Then
		_FileCreate(@ScriptDir & "\Setting Files\" & $RTN & ".set")
		MsgBox(0, "Create Setting", "Setting file Created.")
		_REFRESH_COMBO_BOXES()
	Else
		Return
	EndIf

EndFunc   ;==>_CREATE_SETTING

Func _DELETE_SETTING()

	Local $RTN

	$RTN = MsgBox(36, "Delete Setting", "Delete setting file?")

	If $RTN = 6 Then
		FileDelete($CurrentSetting)
		MsgBox(0, "Delete Setting", "Setting file deleted.")
		_REFRESH_COMBO_BOXES()
	Else
		Return
	EndIf

EndFunc   ;==>_DELETE_SETTING

Func _REFRESH_COMBO_BOXES()

	_GUICtrlComboBox_BeginUpdate($hMod1)
	_GUICtrlComboBox_ResetContent($hMod1)
	_GUICtrlComboBox_AddDir($hMod1, $GameDirPath & "\mods\campaign\*.wz")
	_GUICtrlComboBox_AddDir($hMod1, $GameDirPath & "\mods\global\*.wz")
	_GUICtrlComboBox_AddDir($hMod1, $GameDirPath & "\mods\multiplay\*.wz")
	_GUICtrlComboBox_EndUpdate($hMod1)

	_GUICtrlComboBox_BeginUpdate($hMod2)
	_GUICtrlComboBox_ResetContent($hMod2)
	_GUICtrlComboBox_AddDir($hMod2, $GameDirPath & "\mods\campaign\*.wz")
	_GUICtrlComboBox_AddDir($hMod2, $GameDirPath & "\mods\global\*.wz")
	_GUICtrlComboBox_AddDir($hMod2, $GameDirPath & "\mods\multiplay\*.wz")
	_GUICtrlComboBox_EndUpdate($hMod2)

	_GUICtrlComboBox_BeginUpdate($hMod3)
	_GUICtrlComboBox_ResetContent($hMod3)
	_GUICtrlComboBox_AddDir($hMod3, $GameDirPath & "\mods\campaign\*.wz")
	_GUICtrlComboBox_AddDir($hMod3, $GameDirPath & "\mods\global\*.wz")
	_GUICtrlComboBox_AddDir($hMod3, $GameDirPath & "\mods\multiplay\*.wz")
	_GUICtrlComboBox_EndUpdate($hMod3)

	_GUICtrlComboBox_BeginUpdate($hMod4)
	_GUICtrlComboBox_ResetContent($hMod4)
	_GUICtrlComboBox_AddDir($hMod4, $GameDirPath & "\mods\campaign\*.wz")
	_GUICtrlComboBox_AddDir($hMod4, $GameDirPath & "\mods\global\*.wz")
	_GUICtrlComboBox_AddDir($hMod4, $GameDirPath & "\mods\multiplay\*.wz")
	_GUICtrlComboBox_EndUpdate($hMod4)

	_GUICtrlComboBox_BeginUpdate($hMod5)
	_GUICtrlComboBox_ResetContent($hMod5)
	_GUICtrlComboBox_AddDir($hMod5, $GameDirPath & "\mods\campaign\*.wz")
	_GUICtrlComboBox_AddDir($hMod5, $GameDirPath & "\mods\global\*.wz")
	_GUICtrlComboBox_AddDir($hMod5, $GameDirPath & "\mods\multiplay\*.wz")
	_GUICtrlComboBox_EndUpdate($hMod5)

	_GUICtrlComboBox_BeginUpdate($hChooseSetting)
	_GUICtrlComboBox_ResetContent($hChooseSetting)
	_GUICtrlComboBox_AddDir($hChooseSetting, @ScriptDir & "\Setting Files\*.set")
	_GUICtrlComboBox_EndUpdate($hChooseSetting)
	_GUICtrlComboBox_SelectString($hChooseSetting, StringTrimRight(StringTrimLeft($CurrentSetting, StringInStr($CurrentSetting, "\", 0, -1)), 1))

EndFunc   ;==>_REFRESH_COMBO_BOXES

;Function-Decleration-End-------------------------------------------------------